## com.arsdigita.cms.docmgr.ui.tree
Class DocFolderTreeNode

    java.lang.Object
      com.arsdigita.cms.docmgr.ui.tree.DocFolderTreeNode

All Implemented Interfaces:
  com.arsdigita.bebop.tree.TreeNode

public class DocFolderTreeNode
extends Object
implements com.arsdigita.bebop.tree.TreeNode

Field Summary

Fields inherited from interface com.arsdigita.bebop.tree.TreeNode
`versionId`

Constructor Summary
`DocFolderTreeNode()`
`DocFolderTreeNode(DocFolder df)`

Method Summary
`Object` `getElement()`
`DocFolder` `getFolder()`
`Object` `getKey()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocFolderTreeNode

    public DocFolderTreeNode()

### DocFolderTreeNode

    public DocFolderTreeNode(DocFolder df)

Method Detail

### getKey

    public Object getKey()

  Specified by:
    `getKey` in interface `com.arsdigita.bebop.tree.TreeNode`

### getElement

    public Object getElement()

  Specified by:
    `getElement` in interface `com.arsdigita.bebop.tree.TreeNode`

### getFolder

    public DocFolder getFolder()

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC